• This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn more.

How to change PHP version on GoDaddy

AndyB

Well-known member
#1
Hello,

My goal is to be able to select ImageMagick PECL Extension as the Default Image Processor.

Currently the PHP version on the shared server I'm working on is 5.4 (native), but it doesn't support Imagick. If I select PHP 5.4 or PHP 5.5 it includes Imagick so I would like to switch to it. The problem is when I select another PHP version, the XenForo forum dies, the error message is:

An unexpected database error occurred. Please try again later.
The tech support at GoDaddy was unable to provide a reason why the database stops working for XenForo yet works for the WordPress database.
 
Last edited:

AndyB

Well-known member
#4
When the following message is displayed:

An unexpected database error occurred. Please try again later.
If I look at the source the following is displayed:

An unexpected database error occurred. Please try again later.
<!-- The Mysqli extension is required for this adapter but the extension is not loaded -->
 

ForumCube

Active member
#8
They allow php.ini file to be placed in your hosting instant. I suggest you to simply place this file in your hosting root with following code inside that file:

Code:
extension=mysqli.so